%define pkg_name        Sub-Identify
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 2.n0i.2

Summary:       Retrieve names of code references
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RG/RGARCIA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Sub::Identify allows you to retrieve the real name of code references. For
this, it uses perl's introspection mechanism, provided by the B module.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun May 14 2006 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
